none
Kinect V2 supporting previous SDK ? RRS feed

  • Question

  • Hi, 

    I was wondering if Kinect V2 sensor can run SDK 1.8 softwares?  would be awesome to make it easy for people who using older version and newer version of kinect sensor.

    Sunday, September 21, 2014 6:17 PM

Answers

  • As for v2 working with v1, it does not work with the previous SDK. Completely different programming model.

    There are no plans to make v1 sensor work with the v2 SDK. You will need to use third party wrapper libraries that handle that under the covers. Wrappers like Kinect Common Bridge may be an option if they plan on blending the 2 api's into one.

    https://github.com/MSOpenTech/KinectCommonBridge/tree/2.0

    Since it is open source the community can contribute to the project and make that happen quicker.


    Carmine Sirignano - MSFT


    Monday, September 22, 2014 5:05 PM

All replies

  • The V2 sensor will not run on the 1.8 SDK. There has been some talk of the V1 sensors being supported on the new SDK, but for right now they are separate.
    • Proposed as answer by sam598 Sunday, September 21, 2014 10:42 PM
    Sunday, September 21, 2014 10:42 PM
  • As for v2 working with v1, it does not work with the previous SDK. Completely different programming model.

    There are no plans to make v1 sensor work with the v2 SDK. You will need to use third party wrapper libraries that handle that under the covers. Wrappers like Kinect Common Bridge may be an option if they plan on blending the 2 api's into one.

    https://github.com/MSOpenTech/KinectCommonBridge/tree/2.0

    Since it is open source the community can contribute to the project and make that happen quicker.


    Carmine Sirignano - MSFT


    Monday, September 22, 2014 5:05 PM
  • this seems to be available only on C++, I am looking forward on C#, are there any bridges available on C# ?
    Tuesday, September 23, 2014 1:29 PM